Skip to main content
GET
/
integration-accounts
/
{id}
/
shipping-methods
List OMS shipping methods
curl --request GET \
  --url https://{companyName}.api.joinluminous.com/external/api/v1/integration-accounts/{id}/shipping-methods \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "carrier": "<string>",
      "description": "<string>",
      "created_date": "2023-11-07T05:31:56Z",
      "updated_date": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.joinluminous.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.

Path Parameters

id
integer
required

App integration account ID

Response

Successful response

data
object[]